Name:		rst2pdf 
Version:	0.91
Release:	%mkrel 1

Summary:	Tool for transforming reStructuredText to PDF
License:	MIT
Group:		Publishing
URL:		http://rst2pdf.googlecode.com
Source:		http://rst2pdf.googlecode.com/files/%{name}-%{version}.tar.gz

BuildArch:	noarch

BuildRequires:	python-devel 
BuildRequires:	python-setuptools 
BuildRequires:	python-docutils

Requires:	python-reportlab
Requires:	python-simplejson
Requires:	python-pygments
Requires:	python-docutils

%description
The usual way of creating PDF files from reStructuredText is by going 
through LaTeX. This tool provides an alternative by producing PDF
directly using the ReportLab library.

%prep
%setup -q
sed -i -e "1d" rst2pdf/findfonts.py
sed -i -e "1d" rst2pdf/smartypants.py
sed -i 's/\r//' Contributors.txt

%build
%{__python} setup.py build  
cd doc
rst2man rst2pdf.txt rst2pdf.1

%install
rm -rf %{buildroot} 
PYTHONDONTWRITEBYTECODE= %{__python} setup.py install --skip-build --root %{buildroot} 
# Removing shebang from Python library
for lib in $(find %{buildroot}%{python_sitelib}/rst2pdf -name "*.py"); do
 sed '/\/usr\/bin\/env/d' $lib > $lib.new &&
 touch -r $lib $lib.new &&
 mv $lib.new $lib
done

mkdir -p %{buildroot}/%{_mandir}/man1
install -p -m 644 doc/rst2pdf.1 %{buildroot}/%{_mandir}/man1

%files
%defattr(-,root,root,-)
%doc CHANGES.txt Contributors.txt LICENSE.txt README.txt doc/manual.pdf
%{_bindir}/%{name}
%{python_sitelib}/%{name}*
%{_mandir}/man1/*



%changelog

* Tue Mar 06 2012 philippem <philippem> 0.91-1.mga2
+ Revision: 220071
- Update to 0.91.

* Thu Mar 31 2011 philippem <philippem> 0.16-1.mga1
+ Revision: 79365
- imported package rst2pdf

